Index: tex/LaTeXML/Portfile
===================================================================
--- tex/LaTeXML/Portfile	(revision 93513)
+++ tex/LaTeXML/Portfile	(working copy)
@@ -4,6 +4,7 @@
 # (draft)
 #======================================================================
 PortSystem 1.0
+PortGroup			perl5	1.0
 name LaTeXML
 version 0.7.0
 revision 1
@@ -26,10 +27,10 @@
 # openssl rmd160 LaTeXML-0.7.0.tar.gz
 #============================================================
 # Dependencies
-depends_lib port:p5.12-parse-recdescent \
-  	    port:p5.12-xml-libxml \
-  	    port:p5.12-xml-libxslt \
-  	    port:p5.12-perlmagick \
+depends_lib port:p${perl5.major}-parse-recdescent \
+  	    port:p${perl5.major}-xml-libxml \
+  	    port:p${perl5.major}-xml-libxslt \
+  	    port:p${perl5.major}-perlmagick \
 	    bin:texhash:texlive
 # That last seems to be the way to depend on TeX
 # being installed, without necessarily requiring
@@ -39,7 +40,7 @@
 #============================================================
 # Configuration
 # Override configure to do it the perl way.
-configure.cmd ${prefix}/bin/perl5.12 Makefile.PL
+configure.cmd ${prefix}/bin/perl${perl5.major} Makefile.PL
 
 # Note that installation does
 #   make install DESTDIR=${destroot}
Index: tex/biblatex-biber/Portfile
===================================================================
--- tex/biblatex-biber/Portfile	(revision 93513)
+++ tex/biblatex-biber/Portfile	(working copy)
@@ -10,7 +10,7 @@
 # before updating this port.
 name            biblatex-biber
 epoch           1
-if {[variant_isset perl5_12]} { perl5.default_branch 5.12 }
+if {[variant_isset perl${perl5.major}]} { perl5.default_branch 5.12 }
 if {[variant_isset perl5_14]} { perl5.default_branch 5.14 }
 perl5.setup     Biber 0.9.3
 revision        1
@@ -32,10 +32,10 @@
 supported_archs noarch
 homepage        http://biblatex-biber.sourceforge.net/
 
-variant perl5_12 description "use perl version 5.12" conflicts perl5_14 {}
-variant perl5_14 description "use perl version 5.14" conflicts perl5_12 {}
+variant perl${perl5.major} description "use perl version 5.12" conflicts perl5_14 {}
+variant perl5_14 description "use perl version 5.14" conflicts perl${perl5.major} {}
 if {![variant_isset perl5_14]} {
-    default_variants +perl5_12
+    default_variants +perl${perl5.major}
 }
 
 master_sites    sourceforge:project/${name}/${name}/${version}
Index: gnome/gnucash/Portfile
===================================================================
--- gnome/gnucash/Portfile	(revision 93513)
+++ gnome/gnucash/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem        1.0
+PortGroup			perl5	1.0
 
 name              gnucash
 version           2.4.10
@@ -40,7 +41,7 @@
 post-patch {
     # gnc-fq-dump needs to be patched to use MacPorts perl.
     # (autoconf takes care of the other perl scripts.)
-    reinplace "s|^#!/usr/bin/perl|#!${prefix}/bin/perl5.12|" ${worksrcpath}/src/quotes/gnc-fq-dump
+    reinplace "s|^#!/usr/bin/perl|#!${prefix}/bin/perl${perl5.major}|" ${worksrcpath}/src/quotes/gnc-fq-dump
 }
 
 depends_build     port:pkgconfig \
@@ -54,7 +55,7 @@
                   port:webkit-gtk \
                   port:goffice \
                   port:aqbanking5-gtk \
-                  port:p5.12-finance-quote
+                  port:p${perl5.major}-finance-quote
 
 depends_run       port:evince
 
Index: gnome/anjuta/Portfile
===================================================================
--- gnome/anjuta/Portfile	(revision 93513)
+++ gnome/anjuta/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem      1.0
+PortGroup			perl5	1.0
 PortGroup       muniversal 1.0
 
 name            anjuta
@@ -25,7 +26,7 @@
                 port:intltool \
                 port:gnome-doc-utils \
                 port:gtk-doc \
-                port:p5.12-locale-gettext
+                port:p${perl5.major}-locale-gettext
 
 depends_lib     port:autogen \
                 port:gconf \
@@ -37,10 +38,10 @@
 depends_run     port:rarian
 
 post-patch {
-        reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|" ${worksrcpath}/scripts/builder2schema.pl
+        reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|" ${worksrcpath}/scripts/builder2schema.pl
 }
 
-configure.perl  ${prefix}/bin/perl5.12
+configure.perl  ${prefix}/bin/perl${perl5.major}
 configure.args  --enable-static \
                 --disable-scrollkeeper \
                 --disable-schemas-install \
Index: gnome/system-tools-backends/Portfile
===================================================================
--- gnome/system-tools-backends/Portfile	(revision 93513)
+++ gnome/system-tools-backends/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem      1.0
+PortGroup			perl5	1.0
 
 name            system-tools-backends
 version         2.10.2
@@ -32,7 +33,7 @@
 
 depends_lib     port:dbus-glib \
                 port:policykit \
-                port:p5.12-net-dbus
+                port:p${perl5.major}-net-dbus
 
 livecheck.type  regex
 livecheck.url   http://ftp.gnome.org/pub/gnome/sources/${name}/${branch}/
Index: gnome/icon-naming-utils/Portfile
===================================================================
--- gnome/icon-naming-utils/Portfile	(revision 93513)
+++ gnome/icon-naming-utils/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem        1.0
+PortGroup			perl5	1.0
 
 name              icon-naming-utils
 version           0.8.90
@@ -24,8 +25,8 @@
                   sha1    a195e635fd663f0697a2a047f0c9134876900cf1 \
                   rmd160  1c68587f83e8bad54dfdedbfb76c1ec7f2696dcb
 
-depends_lib       port:perl5.12 port:p5.12-xml-simple
-configure.perl    ${prefix}/bin/perl5.12
+depends_lib       port:perl${perl5.major} port:p${perl5.major}-xml-simple
+configure.perl    ${prefix}/bin/perl${perl5.major}
 
 universal_variant no
 
Index: gnome/planner/Portfile
===================================================================
--- gnome/planner/Portfile	(revision 93513)
+++ gnome/planner/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem      1.0
+PortGroup			perl5	1.0
 
 name            planner
 version         0.14.4
@@ -36,7 +37,7 @@
                 port:libgnomeprintui \
                 port:rarian \
                 port:libxslt \
-                port:p5.12-xml-parser \
+                port:p${perl5.major}-xml-parser \
                 port:evolution-data-server
 
 configure.args  --disable-python \
Index: gnome/gnome-doc-utils/Portfile
===================================================================
--- gnome/gnome-doc-utils/Portfile	(revision 93513)
+++ gnome/gnome-doc-utils/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem  1.0
+PortGroup			perl5	1.0
 
 name           gnome-doc-utils
 version        0.20.6
@@ -43,7 +44,7 @@
                port:iso-codes
 
 # The perl executable should be the one explicitly required by intltool
-configure.env-append  INTLTOOL_PERL=${prefix}/bin/perl5.12
+configure.env-append  INTLTOOL_PERL=${prefix}/bin/perl${perl5.major}
 configure.args        --disable-scrollkeeper
 
 variant python25 conflicts python26 python27 description {Use python 2.5} {
Index: gnome/gnucash-devel/Portfile
===================================================================
--- gnome/gnucash-devel/Portfile	(revision 93513)
+++ gnome/gnucash-devel/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem        1.0
+PortGroup			perl5	1.0
 
 name              gnucash-devel
 set my_name       gnucash
@@ -45,7 +46,7 @@
 post-patch {
     # gnc-fq-dump needs to be patched to use MacPorts perl.
     # (autoconf takes care of the other perl scripts.)
-    reinplace "s|^#!/usr/bin/perl|#!${prefix}/bin/perl5.12|" ${worksrcpath}/src/quotes/gnc-fq-dump
+    reinplace "s|^#!/usr/bin/perl|#!${prefix}/bin/perl${perl5.major}|" ${worksrcpath}/src/quotes/gnc-fq-dump
 }
 
 depends_build     port:pkgconfig \
@@ -59,7 +60,7 @@
                   port:webkit-gtk \
                   port:goffice \
                   port:aqbanking5-gtk \
-                  port:p5.12-finance-quote
+                  port:p${perl5.major}-finance-quote
 
 depends_run       port:evince
 
Index: textproc/docbook2X/Portfile
===================================================================
--- textproc/docbook2X/Portfile	(revision 93513)
+++ textproc/docbook2X/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                docbook2X
 version             0.8.8
@@ -15,11 +16,11 @@
 master_sites        sourceforge:docbook2x
 checksums           md5 b9b76a6af198c4f44574cfd17a322f01
 
-depends_lib         port:perl5.12 \
-                    port:p5.12-xml-namespacesupport \
-                    port:p5.12-xml-sax \
-                    port:p5.12-xml-parser \
-                    port:p5.12-xml-sax-expat \
+depends_lib         port:perl${perl5.major} \
+                    port:p${perl5.major}-xml-namespacesupport \
+                    port:p${perl5.major}-xml-sax \
+                    port:p${perl5.major}-xml-parser \
+                    port:p${perl5.major}-xml-sax-expat \
                     port:libiconv \
                     port:libxml2
 
Index: textproc/intltool/Portfile
===================================================================
--- textproc/intltool/Portfile	(revision 93513)
+++ textproc/intltool/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem      1.0
+PortGroup			perl5	1.0
 
 name            intltool
 version         0.50.2
@@ -31,13 +32,13 @@
 
 depends_build   port:gnome-common
 depends_lib     port:expat \
-                port:perl5.12 \
-                port:p5.12-xml-parser \
-                port:p5.12-getopt-long \
-                port:p5.12-pathtools \
-                port:p5.12-scalar-list-utils
+                port:perl${perl5.major} \
+                port:p${perl5.major}-xml-parser \
+                port:p${perl5.major}-getopt-long \
+                port:p${perl5.major}-pathtools \
+                port:p${perl5.major}-scalar-list-utils
 
-configure.perl  ${prefix}/bin/perl5.12
+configure.perl  ${prefix}/bin/perl${perl5.major}
 
 test.run        yes
 test.target     check
Index: textproc/help2man/Portfile
===================================================================
--- textproc/help2man/Portfile	(revision 93513)
+++ textproc/help2man/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name			help2man
 version			1.40.5
@@ -21,10 +22,10 @@
 checksums           rmd160  3515028e9b7c993546810b7d3bf00736f5dfcdf0 \
                     sha256  13599a89080628617f31ca1e7eee38d0b11b2c088708c14eba35b99d67b23cb4
 
-depends_lib		port:perl5.12 port:p5.12-locale-gettext \
+depends_lib		port:perl${perl5.major} port:p${perl5.major}-locale-gettext \
 				port:gettext port:libiconv
 
-configure.perl	${prefix}/bin/perl5.12
+configure.perl	${prefix}/bin/perl${perl5.major}
 
 configure.args  --enable-nls
 
Index: textproc/stardict/Portfile
===================================================================
--- textproc/stardict/Portfile	(revision 93513)
+++ textproc/stardict/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name		stardict
 version		3.0.2
@@ -27,7 +28,7 @@
 		port:gnome-doc-utils
 depends_lib	port:gtk2 \
 		port:popt \
-		port:p5.12-xml-parser
+		port:p${perl5.major}-xml-parser
 
 patchfiles	patch-glib-2.32.diff
 
Index: x11/auto-multiple-choice/Portfile
===================================================================
--- x11/auto-multiple-choice/Portfile	(revision 93513)
+++ x11/auto-multiple-choice/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                auto-multiple-choice
 version             1.1.0
@@ -24,20 +25,20 @@
                     rmd160  581269d573bae36a6c105118ffbe43471041d11a
 
 depends_lib         port:opencv
-depends_run         port:p5.12-gtk2 \
-                    port:p5.12-xml-simple \
-                    port:p5.12-xml-writer \
-                    port:p5.12-archive-zip \
-                    port:p5.12-locale-gettext \
-                    port:p5.12-digest-md5 \
-                    port:p5.12-module-load-conditional \
+depends_run         port:p${perl5.major}-gtk2 \
+                    port:p${perl5.major}-xml-simple \
+                    port:p${perl5.major}-xml-writer \
+                    port:p${perl5.major}-archive-zip \
+                    port:p${perl5.major}-locale-gettext \
+                    port:p${perl5.major}-digest-md5 \
+                    port:p${perl5.major}-module-load-conditional \
                     port:GraphicsMagick \
-                    port:p5.12-openoffice-oodoc \
-                    port:p5.12-net-cups \
-                    port:p5.12-file-mimeinfo \
-                    port:p5.12-dbd-sqlite \
-                    port:p5.12-text-csv \
-                    port:p5.12-file-basedir \
+                    port:p${perl5.major}-openoffice-oodoc \
+                    port:p${perl5.major}-net-cups \
+                    port:p${perl5.major}-file-mimeinfo \
+                    port:p${perl5.major}-dbd-sqlite \
+                    port:p${perl5.major}-text-csv \
+                    port:p${perl5.major}-file-basedir \
                     port:sqlite3 \
                     port:poppler \
                     port:netpbm \
Index: x11/homebank/Portfile
===================================================================
--- x11/homebank/Portfile	(revision 93513)
+++ x11/homebank/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                homebank
 version             4.4
@@ -28,7 +29,7 @@
 depends_lib         port:gtk2 \
                     port:libofx \
                     port:librsvg \
-                    port:p5.12-xml-parser
+                    port:p${perl5.major}-xml-parser
 
 post-patch {
     file attributes ${worksrcpath}/install-sh -permissions +x
